PrimordialLogSystem (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.log.PrimordialLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class PrimordialLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.PrimordialLogSystem

All Implemented Interfaces:
  LogSystem

public class PrimordialLogSystem
extends java.lang.Object
implements LogSystem

Pre-init logger. I believe that this was suggested by Carsten Ziegeler and Jeroen C. van Gelderen. If this isn't correct, let me know as this was a good idea...

Version:
  $Id: PrimordialLogSystem.java,v 1.4.4.1 2004/03/03 23:22:56 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary
`private java.util.Vector` | `pendingMessages`
`private RuntimeServices` | `rsvc`

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Constructor Summary
`PrimordialLogSystem()` default CTOR.

Method Summary
`void` | `dumpLogMessages(LogSystem newLogger)` dumps the log messages this logger is holding into a new logger
`void` | `init(RuntimeServices rs)` init()
`void` | `logVelocityMessage(int level, java.lang.String message)` logs messages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pendingMessages

    private java.util.Vector pendingMessages

### rsvc

    private RuntimeServices rsvc

Constructor Detail

### PrimordialLogSystem

    public PrimordialLogSystem()

  default CTOR.

Method Detail

### init

    public void init(RuntimeServices rs)
              throws java.lang.Exception

  Description copied from interface: `LogSystem`
  init()

  Specified by:
    `init` in interface `LogSystem`
  Throws:
    `java.lang.Exception`

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   java.lang.String message)

  logs messages. All we do is store them until 'later'.

  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` - severity level
    `message` - complete error message

### dumpLogMessages

    public void dumpLogMessages(LogSystem newLogger)

  dumps the log messages this logger is holding into a new logger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.